Bug 1663950 - Composer: All image builds from a RHEL host fail when only CDN repos are available
Summary: Composer: All image builds from a RHEL host fail when only CDN repos are avai...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: lorax
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Brian Lane
QA Contact: Release Test Team
Eliane Ramos Pereira
URL:
Whiteboard:
Depends On: 1663952 1663954 1691970 1691971 1693802 1693976 1702370 1711869 1712054
Blocks: 1701002 1691969 1693801 1700898
TreeView+ depends on / blocked
 
Reported: 2019-01-07 11:20 UTC by Lars Karlitski
Modified: 2020-11-14 16:02 UTC (History)
7 users (show)

Fixed In Version: lorax-28.14.26-1.el8
Doc Type: Bug Fix
Doc Text:
.Image Building no longer fails when using `lorax-composer` API Previously, when using `lorax-composer` API from a subscribed RHEL system, the image building process always failed. Anaconda could not access the repositories, because the subscription certificates from the host are not passed through. To fix the issue update `lorax-composer`, `pykickstart`, and `Anaconda` packages. That will allow to pass supported CDN certificates.
Clone Of:
: 1691969 1693801 1777265 (view as bug list)
Environment:
Last Closed: 2019-11-05 20:42:41 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:3328 0 None None None 2019-11-05 20:43:12 UTC

Description Lars Karlitski 2019-01-07 11:20:16 UTC
When using lorax-composer from a subscribed RHEL system, the image building process always fails.

This is because Anaconda cannot access the repositories, because the subscription certificates from the host are not passed through.

This was already a problem in RHEL 7:

    https://bugzilla.redhat.com/show_bug.cgi?id=1627911

I've proposed a fix for this upstream, but it depends on changes in pykickstart and anaconda (I'll attach bugs shortly here):

    https://github.com/weldr/lorax/pull/561

Comment 1 Andreas Nilsson 2019-02-13 17:00:54 UTC
JIRA ticket: https://projects.engineering.redhat.com/browse/COMPOSER-254

Comment 7 Alexander Todorov 2019-08-23 12:54:44 UTC
Managed to build an image by only enabling redhat.repo via subscrition manager. Moving to VERIFIED.

Comment 9 errata-xmlrpc 2019-11-05 20:42:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3328


Note You need to log in before you can comment on or make changes to this bug.